# BEGIN SourceDeps(oneline):
BuildRequires: perl(Bot/BasicBot/Pluggable.pm) perl(CPAN.pm) perl(Carp.pm) perl(Config.pm) perl(Cwd.pm) perl(Encode.pm) perl(ExtUtils/MM_Unix.pm) perl(ExtUtils/MakeMaker.pm) perl(ExtUtils/Manifest.pm) perl(File/Basename.pm) perl(File/Find.pm) perl(File/Spec.pm) perl(FileHandle.pm) perl(FindBin/libs.pm) perl(LWP/Simple.pm) perl(Module/Build.pm) perl(Net/FTP.pm) perl(POE.pm) perl(POE/Component/IKC/ClientLite.pm) perl(POE/Component/IKC/Server.pm) perl(POE/Session.pm) perl(Socket.pm) perl(Test/More.pm) perl(YAML/Tiny.pm) perl(base.pm) perl(inc/Module/Install.pm)
# END SourceDeps(oneline)
%define module_version 0.02
%define module_name Bot-IKCBot-Pluggable
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: extended Bot::BasicBot::Pluggable for IKC
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HI/HIROSE/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Bot::IKCBot::Pluggable is IRC bot extends Bot::BasicBot::Pluggable for.IKC support. So you can use all Bot::BasicBot::Pluggable::Module::*,
Karma, Infobot, Title and so on.

In my case, for sending Nagios's alert message to IRC channel, run
IKCBot and define Nagios's command that invokes notify script to send
alert message to IKCBot.


If you want to add your own state of POE::Session, you can do it by
changing hashref $Bot::IKCBot::Pluggable::STATE_TABLE and define
handler function.

  use POE;
  use Bot::IKCBot::Pluggable;
  
  $Bot::IKCBot::Pluggable::STATE_TABLE->{important} = "say_2times";
  
  *Bot::IKCBot::Pluggable::say_2times = sub {
      my($self, $arg) = @_[ OBJECT, ARG0 ];
      $self->say($arg);
      $self->say($arg);
  };
  
  my $bot = Bot::IKCBot::Pluggable->new(
    ...
  );


Additionally, Bot::IKCBot::Pluggable has "notice" method and use
"notice" instead of "say"(=privmsg) when replying.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc Changes README examples
%perl_vendor_privlib/B*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

